﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace IntroductionToValidationInMVCApplication.CustomValidations
{
    public class AgeAttribute : ValidationAttribute
    {
        private int _age; 

        public AgeAttribute() { }

        public AgeAttribute(int age)
        {
            _age = age; 
        }

        public int Age
        {
            get { return _age; }
            set { _age = value; }
        }

        public override bool IsValid(object value)
        {
            if (value == null) return true;

            var age = (int) value;

            if (age < 18)
                return false;

            return true; 
        }
    }
}