﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace IntroductionToValidationInMVCApplication.CustomValidations
{
    public class CountryAttribute : ValidationAttribute
    {
        private int _minimum; 

        public CountryAttribute()
        {
            
        }

        public override bool IsValid(object value)
        {
            if (value == null) return false;

            var selections = value as string[];

            if (selections == null) return false;

            if (selections.Length < _minimum) return false; 

            return true; 
        }

        public int Minimum
        {
            get { return _minimum;  }
            set { _minimum = value; }
        }
    }
}