﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using IntroductionToValidationInMVCApplication.CustomValidations;

namespace IntroductionToValidationInMVCApplication.Models
{
    public class AgeValidator : DataAnnotationsModelValidator<AgeAttribute>
    {
        private int _age;
        private string _message; 

        public AgeValidator(ModelMetadata metadata, ControllerContext context, AgeAttribute attribute) : base(metadata,context,attribute)
        {
            _age = attribute.Age;
            _message = attribute.ErrorMessage; 
        }

        public override IEnumerable<ModelClientValidationRule> GetClientValidationRules()
        {
            var rule = new ModelClientValidationRule()
                           {
                               ErrorMessage = _message,
                               ValidationType = "age"
                           }; 

            rule.ValidationParameters.Add("age",_age);
            return new[] {rule}; 
        }
    }
}