﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using IntroductionToValidationInMVCApplication.CustomValidations;

namespace IntroductionToValidationInMVCApplication.Models
{
    public class CustomerViewModel
    {
        [Required(ErrorMessage ="First Name is required")]
        public string FirstName { get; set;  }
        
        [Required(ErrorMessage ="Last Name is required")]
        public string LastName { get; set; }
        
        [Required(ErrorMessage="Age is required")]
        [Age(ErrorMessage ="Age is invalid")]
        public int Age { get; set;  }
        
        [Required(ErrorMessage = "You must select a country")]
        [CountryAttribute(Minimum = 2, ErrorMessage = "Must select at least 2 countries")]
        public string[] Countries { get; set; }

    }
}