﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace IntroductionToValidationInMVCApplication.Models
{
    public static class ExtensionMethods
    {
        public static IEnumerable<SelectListItem> ToSelectList<T>(this IEnumerable<T> source, string dataTextField, string dataValueField) where T : class
        {
            var list = new List<SelectListItem>();

            var enumerator = source.GetEnumerator(); 
            while(enumerator.MoveNext())
            {
                SelectListItem selectListItem = null; 

                var current = enumerator.Current; 
                if(current != null)
                {
                    selectListItem = new SelectListItem();

                    var textProperty = current.GetType().GetProperty(dataTextField);
                    var valueProperty = current.GetType().GetProperty(dataValueField); 
                    
                    if(textProperty != null && valueProperty != null)
                    {
                        var text = textProperty.GetValue(current, null).ToString();
                        var value = valueProperty.GetValue(current, null).ToString(); 

                        selectListItem.Text = text;
                        selectListItem.Value = value; 

                        // add to the list 
                        list.Add(selectListItem);
                    }
                }
            }

            return list; 
        }


    }
}